{pkgs, ...}: {
  programs = {
    noisetorch.enable = true;
  };
  services = {
    pipewire = {
      enable = true;
      alsa.enable = true;
      pulse.enable = true;
      jack.enable = true;
    };
  };
  environment.systemPackages = with pkgs; [
    pavucontrol
    volumeicon
    playerctl

    pulseaudioFull
    easyeffects
    cava
    helvum
  ];
  hardware.pulseaudio.enable = pkgs.lib.mkForce false;
  sound.mediaKeys.enable = true;
}
